Subject: Re: Fwd: after first git clone of linux kernel repository there are changed files in working dir

From: Giuseppe Bilotta <[email-masked]>
Date: Thu, 11 Dec 2008 21:35:16 +0100

On Thursday 11 December 2008 18:58, rdkrsr wrote:

> Thank you, Linus and Brett, for your answers.
> 
> I'm not developing linux kernel, I just wanted to experiment with git.
> And then I didn't know if this is a normal behaviour of git. I'm using
> windows xp and msysgit for this. And the file system is NTFS. I'm
> using dual boot to sporadicly use linux and tried also linux in
> virtual box. But both isn't really good. Maybe one day I dare to use
> linux as my primary OS.
> 
> Red
> 
> 2008/12/11 Linus Torvalds <[email-masked]>:
>>
>>
>> On Thu, 11 Dec 2008, rdkrsr wrote:
>>>
>>> I'm sorry that I didn't answer to git mailing list address. So here
>>> comes the email again.
>>
>> You have a broken filesystem.

Actually, the funny (in a grotesque kind of way) thing about NTFS
is that it's a case-*sensitive* filesystem (in the sense that i
can legally hold files with names that differ only for the case),
but the Windows subsystems use it in case-preserving (but
insensitive) mode. It is possible to use NTFS case insensitively
under Windows, but it requires something such as the Interix
subsystem, and in Windows XP (and possibly later versions) it also
needs toggling a security policy that defaults to enforcing case
insensitivity for all subsystems.

Maybe the Windows ports to git (at least the cygwin one, maybe?)
may be able to exploit this.

-- 
Giuseppe "Oblomov" Bilotta